## libbsd 0.0.1

=== Makefile ===
LIB_NAME := libbsd
LIB_VERSION_MAJOR := 0
LIB_VERSION_MINOR := 0
LIB_VERSION_MICRO := 1
LIB_VERSION := $(LIB_VERSION_MAJOR).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)

LIB_PKGCONFIG := $(LIB_NAME).pc
LIB_STATIC := $(LIB_NAME).a
LIB_SHARED_SO := $(LIB_NAME).so
LIB_SONAME := $(LIB_SHARED_SO).$(LIB_VERSION_MAJOR)
LIB_SHARED := $(LIB_SONAME).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)

TAR_NAME := $(LIB_NAME)-$(LIB_VERSION)
TAR_FILE := $(TAR_NAME).tar.gz

LIB_DIST := \
	Makefile \
	README \
	ChangeLog \
	Versions \
	$(LIB_PKGCONFIG).in

LIB_SRCS := \
	arc4random.c \
	bsd_getopt.c \
	err.c \
	fgetln.c \
	heapsort.c \
	humanize_number.c \
	inet_net_pton.c \
	hash/md5.c hash/md5hl.c \
	setmode.c \
	strlcat.c strlcpy.c \
	fmtcheck.c \
	progname.c \
	vis.c unvis.c
LIB_SRCS := $(patsubst %,src/%,$(LIB_SRCS))

LIB_GEN_SRCS := \
	man/md5.3bsd \
	src/hash/md5hl.c

LIB_INCLUDES := \
	bsd/err.h \
	bsd/getopt.h \
	bsd/inet.h \
	bsd/ip_icmp.h \
	bsd/random.h \
	bsd/queue.h \
	bsd/md5.h \
	bsd/string.h \
	bsd/bsd.h \
	bsd/cdefs.h \
	bsd/stdlib.h \
	vis.h \
	libutil.h

LIB_MANS := \
	arc4random.3 \
	strlcpy.3 \
	fgetln.3 \
	fmtcheck.3 \
	setmode.3 \
	md5.3bsd
LIB_MANS := $(patsubst %,man/%,$(LIB_MANS))

LIB_STATIC_OBJS := $(LIB_SRCS:%.c=%.o)
LIB_SHARED_OBJS := $(LIB_SRCS:%.c=%.lo)

# Set default value for compilation
CFLAGS ?= -g -Wall -Wextra -Wno-unused-variable

MK_CFLAGS := -Iinclude/ -include bsd/bsd.h -D_GNU_SOURCE -D__REENTRANT

prefix		:= /usr
exec_prefix	:=
libdir		:= ${exec_prefix}/lib
usrlibdir	:= ${prefix}/lib
includedir	:= ${prefix}/include
pkgconfigdir	:= ${usrlibdir}/pkgconfig
mandir		:= ${prefix}/share/man

.PHONY: libs
libs: $(LIB_STATIC) $(LIB_SHARED_SO) $(LIB_PKGCONFIG)

.PHONY: man
man: $(LIB_MANS)

%.lo: %.c
	$(CC) -o $@ $(MK_CFLAGS) $(CFLAGS) -DPIC -fPIC -c $<

%.o: %.c
	$(CC) -o $@ $(MK_CFLAGS) $(CFLAGS) -c $<

man/md5.3bsd:  man/mdX.3
	sed -e 's/mdX/md5/g' -e 's/mdY/md4/g' -e 's/MDX/MD5/g' $< > $@

src/hash/md5hl.c: src/hash/helper.c
	sed -e 's:hashinc:bsd/md5.h:g' -e 's:HASH:MD5:g' $< > $@

# FIXME: the variables should be preserved unexpanded in the .pc file
$(LIB_PKGCONFIG): $(LIB_PKGCONFIG).in
	sed -e 's:@VERSION@:$(LIB_VERSION):' \
	    -e 's:@prefix@:$(prefix):' \
	    -e 's:@exec_prefix@:$(exec_prefix):' \
	    -e 's:@libdir@:$(libdir):' \
	    -e 's:@includedir@:$(includedir):' \
	    $< > $@

$(LIB_STATIC): $(LIB_STATIC_OBJS)
	ar rcs $@ $^

$(LIB_SHARED_SO): $(LIB_SONAME)
	ln -fs $^ $@

$(LIB_SONAME): $(LIB_SHARED)
	ln -fs $^ $@

$(LIB_SHARED): $(LIB_SHARED_OBJS)
	gcc -shared \
	  -Wl,-soname -Wl,$(LIB_SONAME) \
	  -Wl,--version-script=Versions \
	  -o $@ $^

.PHONY: ChangeLog
ChangeLog:
	-git log --stat -C >$@

.PHONY: dist
dist: ChangeLog
	mkdir $(TAR_NAME)
	cp -a include src man $(LIB_DIST) $(TAR_NAME)
	tar czf $(TAR_FILE) --exclude=.gitignore $(TAR_NAME)
	rm -rf $(TAR_NAME)
	gpg -a -b $(TAR_FILE)

.PHONY: install
install: libs man
	mkdir -p $(DESTDIR)/$(libdir)
	mkdir -p $(DESTDIR)/$(usrlibdir)
	mkdir -p $(DESTDIR)/$(includedir)/bsd/
	mkdir -p $(DESTDIR)/$(mandir)/man3
	mkdir -p $(DESTDIR)/$(pkgconfigdir)
	install -m644 $(LIB_STATIC) $(DESTDIR)/$(usrlibdir)
	install -m644 $(LIB_SHARED) $(DESTDIR)/$(libdir)
	for i in $(LIB_INCLUDES); do \
	  install -m644 include/$$i $(DESTDIR)/$(includedir)/$$i; \
	done
	install -m644 $(LIB_MANS) $(DESTDIR)/$(mandir)/man3
	install -m644 $(LIB_PKGCONFIG) $(DESTDIR)/$(pkgconfigdir)
	ln -sf $(libdir)/$(LIB_SHARED) $(DESTDIR)/$(usrlibdir)/$(LIB_SHARED_SO)
	ln -sf $(LIB_SHARED) $(DESTDIR)/$(libdir)/$(LIB_SONAME)

.PHONY: clean
clean:
	rm -f $(LIB_PKGCONFIG)
	rm -f $(LIB_GEN_SRCS)
	rm -f $(LIB_STATIC_OBJS)
	rm -f $(LIB_STATIC)
	rm -f $(LIB_SHARED_OBJS)
	rm -f $(LIB_SHARED) $(LIB_SONAME) $(LIB_SHARED_SO)

## libbsd 0.1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 LIB_NAME := libbsd
 LIB_VERSION_MAJOR := 0
-LIB_VERSION_MINOR := 0
-LIB_VERSION_MICRO := 1
+LIB_VERSION_MINOR := 1
+LIB_VERSION_MICRO := 4
 LIB_VERSION := $(LIB_VERSION_MAJOR).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)
 
 LIB_PKGCONFIG := $(LIB_NAME).pc
@@ -30,8 +30,10 @@
 	inet_net_pton.c \
 	hash/md5.c hash/md5hl.c \
 	setmode.c \
+	strmode.c \
 	strlcat.c strlcpy.c \
 	fmtcheck.c \
+	nlist.c \
 	progname.c \
 	vis.c unvis.c
 LIB_SRCS := $(patsubst %,src/%,$(LIB_SRCS))
@@ -52,15 +54,23 @@
 	bsd/bsd.h \
 	bsd/cdefs.h \
 	bsd/stdlib.h \
+	nlist.h \
 	vis.h \
 	libutil.h
 
 LIB_MANS := \
 	arc4random.3 \
+	arc4random_addrandom.3 \
+	arc4random_stir.3 \
 	strlcpy.3 \
+	strlcat.3 \
 	fgetln.3 \
+	humanize_number.3 \
 	fmtcheck.3 \
+	nlist.3 \
 	setmode.3 \
+	getmode.3 \
+	strmode.3 \
 	md5.3bsd
 LIB_MANS := $(patsubst %,man/%,$(LIB_MANS))
 
@@ -72,13 +82,13 @@
 
 MK_CFLAGS := -Iinclude/ -include bsd/bsd.h -D_GNU_SOURCE -D__REENTRANT
 
-prefix		:= /usr
-exec_prefix	:=
-libdir		:= ${exec_prefix}/lib
-usrlibdir	:= ${prefix}/lib
-includedir	:= ${prefix}/include
-pkgconfigdir	:= ${usrlibdir}/pkgconfig
-mandir		:= ${prefix}/share/man
+prefix		= /usr
+exec_prefix	=
+libdir		= ${exec_prefix}/lib
+usrlibdir	= ${prefix}/lib
+includedir	= ${prefix}/include
+pkgconfigdir	= ${usrlibdir}/pkgconfig
+mandir		= ${prefix}/share/man
 
 .PHONY: libs
 libs: $(LIB_STATIC) $(LIB_SHARED_SO) $(LIB_PKGCONFIG)
@@ -98,13 +108,12 @@
 src/hash/md5hl.c: src/hash/helper.c
 	sed -e 's:hashinc:bsd/md5.h:g' -e 's:HASH:MD5:g' $< > $@
 
-# FIXME: the variables should be preserved unexpanded in the .pc file
 $(LIB_PKGCONFIG): $(LIB_PKGCONFIG).in
 	sed -e 's:@VERSION@:$(LIB_VERSION):' \
-	    -e 's:@prefix@:$(prefix):' \
-	    -e 's:@exec_prefix@:$(exec_prefix):' \
-	    -e 's:@libdir@:$(libdir):' \
-	    -e 's:@includedir@:$(includedir):' \
+	    -e 's:@prefix@:$(value prefix):' \
+	    -e 's:@exec_prefix@:$(value exec_prefix):' \
+	    -e 's:@libdir@:$(value usrlibdir):' \
+	    -e 's:@includedir@:$(value includedir):' \
 	    $< > $@
 
 $(LIB_STATIC): $(LIB_STATIC_OBJS)
@@ -148,7 +157,13 @@
 	done
 	install -m644 $(LIB_MANS) $(DESTDIR)/$(mandir)/man3
 	install -m644 $(LIB_PKGCONFIG) $(DESTDIR)/$(pkgconfigdir)
+ifeq ($(libdir),$(usrlibdir))
+	# If both dirs are the same, do a relative symlink.
+	ln -sf $(LIB_SHARED) $(DESTDIR)/$(usrlibdir)/$(LIB_SHARED_SO)
+else
+	# Otherwise, do an absolute one.
 	ln -sf $(libdir)/$(LIB_SHARED) $(DESTDIR)/$(usrlibdir)/$(LIB_SHARED_SO)
+endif
 	ln -sf $(LIB_SHARED) $(DESTDIR)/$(libdir)/$(LIB_SONAME)
 
 .PHONY: clean

## libbsd 0.3.0

=== Makefile ===
VERSION := $(shell ./get-version)

LIB_NAME := libbsd
LIB_VERSION_MAJOR := 0
LIB_VERSION_MINOR := 3
LIB_VERSION_MICRO := 0
LIB_VERSION := $(LIB_VERSION_MAJOR).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)

LIB_PKGCONFIG := $(LIB_NAME).pc
LIB_PKGCONFIG_OVERLAY := $(LIB_NAME)-overlay.pc
LIB_STATIC := $(LIB_NAME).a
LIB_SHARED_SO := $(LIB_NAME).so
LIB_SONAME := $(LIB_SHARED_SO).$(LIB_VERSION_MAJOR)
LIB_SHARED := $(LIB_SONAME).$(LIB_VERSION_MINOR).$(LIB_VERSION_MICRO)

TAR_NAME := $(LIB_NAME)-$(VERSION)
TAR_FILE := $(TAR_NAME).tar.gz

LIB_DIST := \
	ChangeLog

LIB_SRCS_GEN := \
	hash/md5hl.c
LIB_SRCS := \
	arc4random.c \
	bsd_getopt.c \
	err.c \
	fgetln.c \
	flopen.c \
	fpurge.c \
	getpeereid.c \
	heapsort.c \
	merge.c \
	humanize_number.c \
	dehumanize_number.c \
	inet_net_pton.c \
	hash/md5.c \
	pidfile.c \
	readpassphrase.c \
	reallocf.c \
	setmode.c \
	setproctitle.c \
	strmode.c \
	strtonum.c \
	strlcat.c strlcpy.c \
	fmtcheck.c \
	nlist.c \
	progname.c \
	radixsort.c \
	vis.c unvis.c \
	$(LIB_SRCS_GEN)
LIB_SRCS_GEN := $(patsubst %,src/%,$(LIB_SRCS_GEN))
LIB_SRCS := $(patsubst %,src/%,$(LIB_SRCS))

LIB_INCLUDES := \
	bsd/cdefs.h \
	bsd/queue.h \
	bsd/ip_icmp.h \
	bsd/sys/cdefs.h \
	bsd/sys/bitstring.h \
	bsd/sys/endian.h \
	bsd/sys/poll.h \
	bsd/sys/queue.h \
	bsd/sys/tree.h \
	bsd/netinet/ip_icmp.h \
	bsd/err.h \
	bsd/getopt.h \
	bsd/inet.h \
	bsd/random.h \
	bsd/md5.h \
	bsd/string.h \
	bsd/bsd.h \
	bsd/stdio.h \
	bsd/stdlib.h \
	bsd/readpassphrase.h \
	bsd/unistd.h \
	bsd/nlist.h \
	bsd/vis.h \
	bsd/libutil.h \
	nlist.h \
	vis.h \
	libutil.h

LIB_MANS_GEN := \
	md5.3bsd
LIB_MANS := \
	arc4random.3 \
	arc4random_addrandom.3 \
	arc4random_buf.3 \
	arc4random_stir.3 \
	arc4random_uniform.3 \
	dehumanize_number.3 \
	strtonum.3 \
	strlcpy.3 \
	strlcat.3 \
	fgetln.3 \
	flopen.3 \
	getpeereid.3 \
	readpassphrase.3 \
	reallocf.3 \
	heapsort.3 \
	humanize_number.3 \
	fmtcheck.3 \
	mergesort.3 \
	radixsort.3 \
	sradixsort.3 \
	nlist.3 \
	pidfile.3 \
	setmode.3 \
	getmode.3 \
	strmode.3 \
	unvis.3 \
	vis.3 \
	$(LIB_MANS_GEN)
LIB_MANS_GEN := $(patsubst %,src/%,$(LIB_MANS_GEN))
LIB_MANS := $(patsubst %,src/%,$(LIB_MANS))

LIB_STATIC_OBJS := $(LIB_SRCS:%.c=%.o)
LIB_SHARED_OBJS := $(LIB_SRCS:%.c=%.lo)

AR = ar
CC = gcc
CCLD = $(CC)

# Set default values for user variables
CPPFLAGS ?=
CFLAGS ?= -g -Wall -Wextra -Wno-unused-variable
LDFLAGS ?=

# Internal makefile variables
MK_CPPFLAGS := -Iinclude/bsd/ -Iinclude/ \
	-DLIBBSD_OVERLAY -DLIBBSD_DISABLE_DEPRECATED \
	-D_GNU_SOURCE -D__REENTRANT
MK_CFLAGS :=
MK_LDFLAGS :=

COMPILE = $(CC) $(MK_CPPFLAGS) $(CPPFLAGS) $(MK_CFLAGS) $(CFLAGS)
LINK = $(CCLD) $(MK_CFLAGS) $(CFLAGS) $(MK_LDFLAGS) $(LDFLAGS)

prefix		= /usr
exec_prefix	=
libdir		= ${exec_prefix}/lib
usrlibdir	= ${prefix}/lib
includedir	= ${prefix}/include
pkgconfigdir	= ${usrlibdir}/pkgconfig
mandir		= ${prefix}/share/man

.PHONY: libs
libs: $(LIB_STATIC) $(LIB_SHARED_SO) $(LIB_PKGCONFIG) $(LIB_PKGCONFIG_OVERLAY)

.PHONY: man
man: $(LIB_MANS)

%.lo: %.c
	$(COMPILE) -o $@ -DPIC -fPIC -c $<

%.o: %.c
	$(COMPILE) -o $@ -c $<

src/md5.3bsd:  src/mdX.3
	sed -e 's/mdX/md5/g' -e 's/mdY/md4/g' -e 's/MDX/MD5/g' $< > $@

src/hash/md5hl.c: src/hash/helper.c
	sed -e 's:hashinc:bsd/md5.h:g' -e 's:HASH:MD5:g' $< > $@

%.pc: %.pc.in
	sed -e 's:@VERSION@:$(VERSION):' \
	    -e 's:@prefix@:$(value prefix):' \
	    -e 's:@exec_prefix@:$(value exec_prefix):' \
	    -e 's:@libdir@:$(value usrlibdir):' \
	    -e 's:@includedir@:$(value includedir):' \
	    $< > $@

$(LIB_STATIC): $(LIB_STATIC_OBJS)
	$(AR) rcs $@ $^

$(LIB_SHARED_SO): $(LIB_SONAME)
	ln -fs $^ $@

$(LIB_SONAME): $(LIB_SHARED)
	ln -fs $^ $@

$(LIB_SHARED): $(LIB_SHARED_OBJS)
	$(LINK) \
	  -shared \
	  -Wl,-soname -Wl,$(LIB_SONAME) \
	  -Wl,--version-script=Versions \
	  -o $@ $^

.PHONY: ChangeLog
ChangeLog:
	-git log --stat -C >$@

.PHONY: dist
dist: $(LIB_DIST)
	mkdir $(TAR_NAME)
	echo $(VERSION) >$(TAR_NAME)/.dist-version
	cp -a --parents $(LIB_DIST) `git ls-files` $(TAR_NAME)
	tar czf $(TAR_FILE) --exclude=.gitignore $(TAR_NAME)
	rm -rf $(TAR_NAME)
	gpg -a -b $(TAR_FILE)

.PHONY: install
install: libs man
	mkdir -p $(DESTDIR)$(libdir)
	mkdir -p $(DESTDIR)$(usrlibdir)
	mkdir -p $(DESTDIR)$(includedir)/bsd/
	mkdir -p $(DESTDIR)$(includedir)/bsd/sys/
	mkdir -p $(DESTDIR)$(includedir)/bsd/netinet/
	mkdir -p $(DESTDIR)$(mandir)/man3
	mkdir -p $(DESTDIR)$(pkgconfigdir)
	install -m644 $(LIB_STATIC) $(DESTDIR)$(usrlibdir)
	install -m755 $(LIB_SHARED) $(DESTDIR)$(libdir)
	for i in $(LIB_INCLUDES); do \
	  install -m644 include/$$i $(DESTDIR)$(includedir)/$$i; \
	done
	install -m644 $(LIB_MANS) $(DESTDIR)$(mandir)/man3
	install -m644 $(LIB_PKGCONFIG) $(DESTDIR)$(pkgconfigdir)
	install -m644 $(LIB_PKGCONFIG_OVERLAY) $(DESTDIR)$(pkgconfigdir)
ifeq ($(libdir),$(usrlibdir))
	# If both dirs are the same, do a relative symlink.
	ln -sf $(LIB_SHARED) $(DESTDIR)$(usrlibdir)/$(LIB_SHARED_SO)
else
	# Otherwise, do an absolute one.
	ln -sf $(libdir)/$(LIB_SHARED) $(DESTDIR)$(usrlibdir)/$(LIB_SHARED_SO)
endif
	ln -sf $(LIB_SHARED) $(DESTDIR)$(libdir)/$(LIB_SONAME)

.PHONY: clean
clean:
	rm -f $(LIB_PKGCONFIG)
	rm -f $(LIB_PKGCONFIG_OVERLAY)
	rm -f $(LIB_SRCS_GEN) $(LIB_MANS_GEN)
	rm -f $(LIB_STATIC_OBJS)
	rm -f $(LIB_STATIC)
	rm -f $(LIB_SHARED_OBJS)
	rm -f $(LIB_SHARED) $(LIB_SONAME) $(LIB_SHARED_SO)

=== debian/changelog ===
libbsd (0.3.0-2ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2019-20367.patch: make sure that there is
      a bounded comparison in  src/nlist.c.
    - CVE-2019-20367

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 16 Jan 2020 08:20:31 -0300

libbsd (0.3.0-2) unstable; urgency=low

  * Make shared library packages multiarch:
    - Build-Depend on debhelper 8.1.3.
    - Add misc:Pre-Depends substvar to Pre-Depends field in libbsd0.
    - Add “Multi-Arch: same” field to libbsd0 and libbsd0-dbg.
    - Define DEB_HOST_MULTIARCH and use it to set libdir and usrlibdir.
    - Change paths from lib/ to lib/* in install files.
  * Now using Standards-Version 3.9.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 25 Feb 2012 20:52:55 +0100

libbsd (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update and reword function list in package description.
  * Install all pkg-config files.
  * Use kfreebsd-any instead of explicit list in libbsd0 Conflicts field.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch the symbols file to use symver tags instead of symbol patterns.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.
  * Remove duplicate inherited Section field from libbsd0.

 -- Guillem Jover <guillem@debian.org>  Thu, 02 Jun 2011 20:28:12 +0200

libbsd (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add ${misc:Depends} to libbsd0-dbg and libbsd-dev Depends.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Switch to source format “3.0 (quilt)”.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Jan 2010 15:47:40 +0100

libbsd (0.1.6-1) unstable; urgency=low

  * New upstream release.
    - Fix typo in ‘local-elf.h’ affecting M32R builds. (Closes: #544266)
  * Add missing libbsd0-udeb.install file to avoid creating empty packages.

 -- Guillem Jover <guillem@debian.org>  Sun, 30 Aug 2009 12:55:00 +0200

libbsd (0.1.5-3) unstable; urgency=low

  * Re-enable libbsd-udeb package on all architectures, as it rdate-udeb
    will need it.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 27 Jul 2009 01:56:27 +0200

libbsd (0.1.5-2) unstable; urgency=low

  * Restrict the udeb package to kfreebsd-*, as requested by Otavio
    Salvador.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jul 2009 23:21:10 +0200

libbsd (0.1.5-1) unstable; urgency=low

  * New upstream release.
    - Fix typo in ‘local-elf.h’ affecting AVR32 and SuperH builds.
      (Closes: #537210)
  * Add a new library udeb.
  * Remove --sourcedir from dh_install unneeded with debhelper compat 7.
  * Now using Standards-Version 3.8.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Fri, 17 Jul 2009 13:59:02 +0200

libbsd (0.1.4-1) unstable; urgency=low

  * New upstream release.
    - Define N_SYMSIZE on systems not providing it. (Closes: #530857)
  * Add Replaces to libbsd-dev on old libfreebsd-dev which used to ship
    nlist(3) and strmode(3).
  * Add a watch file.

 -- Guillem Jover <guillem@debian.org>  Fri, 29 May 2009 02:54:06 +0200

libbsd (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * Actually ship pkg-config file in libbsd-dev.

 -- Guillem Jover <guillem@debian.org>  Mon, 25 May 2009 09:45:55 +0200

libbsd (0.1.2-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures on s390 and powerpc due to a typo.
    - Fix build failure on alpha due to unportable access to ‘struct exec’.
  * Add a Replaces to libbsd-dev on libelfg0-dev which also ships ‘nlist.h’.
    (Closes: #530450)

 -- Guillem Jover <guillem@debian.org>  Mon, 25 May 2009 07:22:36 +0200

libbsd (0.1.1-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * Move libbsd0-dbg to section debug.

  [ Guillem Jover ]
  * New upstream release.
  * Add Replaces on libelf-dev which also ships nlist.h.
  * Update copyright years in debian/copyright.
  * Add new functions to package description.
  * Add new wildcard to the symbols file.
  * Now using Standards-Version 3.8.1 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 20 May 2009 05:26:28 +0200

libbsd (0.0.1-2) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add a symbols file for libbsd0.
  * Use UTF-8 copyright symbol in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Feb 2009 05:10:23 +0200

libbsd (0.0.1-1) unstable; urgency=low

  * New upstream release.
    - Install md5.3 man page as md5.3bsd to avoid conflicting with commonly
      provided file. (Closes: #492199)
  * Install upstream ChangeLog.

 -- Guillem Jover <guillem@debian.org>  Sat, 26 Jul 2008 22:57:42 +0300

libbsd (0.0-4) unstable; urgency=low

  [ Petr Salinger ]
  * Alter the versioned Conflicts for kfreebsd architectures, it should
    be against binary package net-tools comming from source package
    freebsd-utils.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 14 Jul 2008 20:31:06 +0200

libbsd (0.0-3) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Add a versioned Conflicts against freebsd-utils (<< 7.0-2) only on
    kfreebsd architectures, which was using the link_addr and link_ntoa
    symbols wrongly provided by libbsd.

 -- Guillem Jover <guillem@debian.org>  Sun, 13 Jul 2008 19:51:38 +0300

libbsd (0.0-2) unstable; urgency=low

  * Upload to Debian. (Closes: #461985)
  * Improve debian/copyright.
    - Add detailed information about licenses and copyright holders.
    - Update upstream download URL.
  * Improve package descrptions.
    - Add list of currently provided functions.
    - Mention this is a package with functions commonly available on BSD
      systems.
  * Line wrap Uploaders field.
  * Add new libbsd0-dbg package.
  * Clean up debian/rules:
    - Add build-arch and build-indep targets
    - Rename install to install-arch.
    - Remove dependencies from binary-indep.


=== debian/control ===
Source: libbsd
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Uploaders: Hector Garcia <hector@debian.org>,
 Guillem Jover <guillem@debian.org>, Aurelien Jarno <aurel32@debian.org>
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/libbsd/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/libbsd/
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3)
Standards-Version: 3.9.3
Homepage: http://libbsd.freedesktop.org/

Package: libbsd-dev
Section: libdevel
Architecture: any
Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
# libelf-dev and libelfg0-dev ship nlist.h
Replaces: libelf-dev, libelfg0-dev, libfreebsd-dev (<< 0.0-8)
Description: utility functions from BSD systems - development files
 This library provides some functions commonly available on BSD systems but
 not on others like GNU systems.
 .
 The currently provided functions are:
 .
  * MD5Data, MD5End, MD5File, MD5FileChunk, MD5Final, MD5Init, MD5Pad,
    MD5Transform, MD5Update.
  * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
    arc4random_uniform.
  * bsd_getopt.
  * dehumanize_number, humanize_number, strtonum, fmtcheck.
  * errc, verrc, vwarnc, warnc.
  * fgetln, flopen, fpurge.
  * getmode, setmode, strmode,
  * getpeereid.
  * getprogname, setprogname, setproctitle.
  * heapsort, radixsort, mergesort, sradixsort.
  * nlist (ELF and a.out support).
  * pidfile_open, pidfile_write, pidfile_close, pidfile_remove.
  * readpassphrase.
  * reallocf.
  * strlcpy, strlcat.
  * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
 .
 Also included are some queue macro definitions not present on includes
 from glibc.

Package: libbsd0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: net-tools (<< 7.0-2) [kfreebsd-any]
Description: utility functions from BSD systems - shared library
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.

Package: libbsd0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility functions from BSD systems - shared library
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.

Package: libbsd0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
Description: utility functions from BSD systems - debugging symbols
 This library provides some functions commonly available on BSD systems
 but not on others like GNU systems.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)


lib := libbsd0
libdbg := $(lib)-dbg
libudeb := $(lib)-udeb
libdev := libbsd-dev

build-indep:

build-arch:
	dh_testdir

	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
		libdir=/lib/$(DEB_HOST_MULTIARCH) \
		usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)

binary-indep:
# Nothing to do.

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_link
	dh_strip --dbg-package=$(libdbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs --add-udeb=$(libudeb)
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: install-arch
.PHONY: clean build-indep build-arch build binary-indep binary-arch binary

## libbsd 0.4.2

=== debian/changelog ===
libbsd (0.4.2-1ubuntu1) raring; urgency=low

  * Pass correct --build= and --host= options to configure.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2012 02:20:25 +0000

libbsd (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Disable silent rules, so that build logs get meaningful information.
  * Update debian/copyright file.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Jun 2012 09:41:19 +0200

libbsd (0.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #668705)
    - Autoconfiscated, supports cross-building natively. (Closes: #665997)
    - Provide endian encoding/decoding inline functions. (Closes: #635377)
    - Provide expand_number(). (Closes: #635379)
    - Ship <nlist.h> under /usr/include/bsd/. (Closes: #634955, #657772)
    - Ship <libutil.h> under /usr/include/bsd/. (Closes: #640895)
    - Fix header protections when using the overlay. (Closes: #630907)
    - Fix .so symlinks to be relative even when the .so.N shared library
      is on a different directory. (Closes: #580372)
    - Remove all deprecated headers and inclusions.
  * Avoid leaving the system w/o an <nlist.h> previously owned by either
    libelfg0-dev or libelf-dev when upgrading from old libsd-dev versions
    which used to Replace them, by restoring <nlist.h> from <bsd/nlist.h>.

 -- Guillem Jover <guillem@debian.org>  Tue, 29 May 2012 08:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
 Section: libdevel
 Architecture: any
 Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
-# libelf-dev and libelfg0-dev ship nlist.h
-Replaces: libelf-dev, libelfg0-dev, libfreebsd-dev (<< 0.0-8)
+Replaces: libfreebsd-dev (<< 0.0-8)
 Description: utility functions from BSD systems - development files
  This library provides some functions commonly available on BSD systems but
  not on others like GNU systems.
@@ -28,7 +27,10 @@
   * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
     arc4random_uniform.
   * bsd_getopt.
-  * dehumanize_number, humanize_number, strtonum, fmtcheck.
+  * be16dec, be32dec, be64dec, le16dec, le32dec, le64dec.
+  * be16enc, be32enc, be64enc, le16enc, le32enc, le64enc.
+  * closefrom.
+  * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
   * errc, verrc, vwarnc, warnc.
   * fgetln, flopen, fpurge.
   * getmode, setmode, strmode,

=== debian/rules ===
--- 
+++ 
@@ -9,38 +9,65 @@
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+confflags := --build=$(DEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+confflags += --host=$(DEB_HOST_GNU_TYPE)
+endif
+
 
 lib := libbsd0
 libdbg := $(lib)-dbg
 libudeb := $(lib)-udeb
 libdev := libbsd-dev
 
+config.status: configure
+	dh_testdir
+
+	./configure \
+		CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)" \
+		LDFLAGS="$(LDFLAGS)" \
+		--disable-silent-rules \
+		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		$(confflags)
+
 build-indep:
 
-build-arch:
+build-arch: config.status
 	dh_testdir
 
-	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE)
 
 build: build-indep build-arch
+
+# Run the test suites
+check-arch: build-arch
+	dh_testdir
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) check
+endif
 
 clean:
 	dh_testdir
 	dh_testroot
 
-	$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
-install-arch: build-arch
+install-arch: check-arch
 	dh_testdir
 	dh_testroot
 	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
-		libdir=/lib/$(DEB_HOST_MULTIARCH) \
-		usrlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	                runtimelibdir=/lib/$(DEB_HOST_MULTIARCH)
 
 binary-indep:
 # Nothing to do.

## libbsd 0.6.0

=== debian/changelog ===
libbsd (0.6.0-2ubuntu1) trusty; urgency=medium

  * Merge from debian. Remaining changes:
    - Use dh-autoreconf to update config files.
    - Don't run the tests for cross builds.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 15 Mar 2014 07:42:26 +1100

libbsd (0.6.0-2) unstable; urgency=low

  * Take over standalone maintainership.
    <https://lists.debian.org/debian-bsd/2013/10/msg00227.html>.
  * Now using Standards-Version 3.9.5 (no changes needed).
  * Do not set source compression to xz, it's now the default.
  * Remove packaging history from debian/copyright.
  * Add signature checking support to debian/watch, and ship upstream
    signing keys in debian/upstream/signing-key.asc, exported with
    pgp-clean (signing-party) to avoid useless bloat.
  * Only restore /usr/include/nlist.h if it's missing, or if it contains
    a libbsd instance of the header. And use the matching header from the
    replaced package, which should now be ABI-compatible. (Closes: #724747)
  * Remove debian/README.Debian, which contains information provided in the
    package description.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Mar 2014 05:02:42 +0100

libbsd (0.6.0-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf to update config files.
  * Don't run the tests for cross builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 13:19:47 +0100

libbsd (0.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Move setproctitle() constructor into a new libbsd-ctor static library,
      to avoid breakage on dlopen()+threads+constructor situations, like
      when using samba NSS modules for example.
    - Export setproctitle_init().

 -- Guillem Jover <guillem@debian.org>  Sun, 14 Jul 2013 14:29:59 +0200

libbsd (0.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Force setproctitle() constructor into the .init_array section.
    - Fix use after free on setproctitle() constructor (bumped urgency).
  * Update debian/copyright file.

 -- Guillem Jover <guillem@debian.org>  Sat, 08 Jun 2013 18:55:59 +0200

libbsd (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fix build failures on 32-bit systems due to an error on the test suite.

 -- Guillem Jover <guillem@debian.org>  Mon, 27 May 2013 07:02:08 +0200

libbsd (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Implement setproctitle(). (Closes: #614959)
    - Fix «make distclean» target to not remove distributed files.
  * Change watch file to also look for xz compressed upstream releases.
  * Fix two builds in a row by calling «make distclean» on clean.
  * Fix cross-building support by passing correct --build and --host options
    to configure. Based on patch by Colin Watson <cjwatson@ubuntu.com>.
    (Closes: #665997)
  * Move -e option from postinst's shebang to an explicit set call.
  * Switch to canonical Vcs URLs.
  * Switch source package to xz compression.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.4 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 27 May 2013 06:07:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Priority: optional
 Section: libs
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
-Uploaders: Hector Garcia <hector@debian.org>,
- Guillem Jover <guillem@debian.org>, Aurelien Jarno <aurel32@debian.org>
-Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/libbsd/
-Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/libbsd/
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 8.1.3)
-Standards-Version: 3.9.3
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/libbsd.git
+Vcs-Git: git://git.hadrons.org/git/debian/pkgs/libbsd.git
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://libbsd.freedesktop.org/
 
 Package: libbsd-dev
@@ -32,17 +30,20 @@
   * closefrom.
   * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
   * errc, verrc, vwarnc, warnc.
-  * fgetln, flopen, fpurge.
+  * fgetln, fparseln, fgetwln, flopen, fpurge.
   * getmode, setmode, strmode,
   * getpeereid.
-  * getprogname, setprogname, setproctitle.
+  * getprogname, setprogname.
   * heapsort, radixsort, mergesort, sradixsort.
   * nlist (ELF and a.out support).
   * pidfile_open, pidfile_write, pidfile_close, pidfile_remove.
   * readpassphrase.
   * reallocf.
+  * setproctitle (initialized via libbsd-ctor or setproctitle_init).
   * strlcpy, strlcat.
+  * strnstr.
   * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
+  * wcslcat, wcslcpy.
  .
  Also included are some queue macro definitions not present on includes
  from glibc.

=== debian/rules ===
--- 
+++ 
@@ -3,41 +3,42 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
-confflags := --build=$(DEB_BUILD_GNU_TYPE)
-ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-confflags += --host=$(DEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
+	confflags += --build=$(DEB_HOST_GNU_TYPE)
+else
+	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
-
 
 lib := libbsd0
 libdbg := $(lib)-dbg
 libudeb := $(lib)-udeb
 libdev := libbsd-dev
 
-config.status: configure
+config-stamp:
 	dh_testdir
 
+	dh_autoreconf
 	./configure \
 		CPPFLAGS="$(CPPFLAGS)" \
 		CFLAGS="$(CFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" \
+		$(confflags) \
 		--disable-silent-rules \
 		--prefix=/usr \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
-		$(confflags)
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+	touch config-stamp
 
 build-indep:
 
-build-arch: config.status
+build-arch: config-stamp
 	dh_testdir
 
 	$(MAKE)
@@ -48,16 +49,19 @@
 check-arch: build-arch
 	dh_testdir
 
+ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) check
+endif
 endif
 
 clean:
 	dh_testdir
 	dh_testroot
 
-	[ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autoreconf_clean
 	dh_clean
 
 install-arch: check-arch

## libbsd 0.7.0

=== debian/changelog ===
libbsd (0.7.0-2~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild in a clean wheezy-backports environment. Closes: #797680.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Sep 2015 19:53:47 +0200

libbsd (0.7.0-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jul 2015 04:54:45 -0400

libbsd (0.7.0-2) unstable; urgency=high

  * Fix typo in package descriptions. (Closes: #756596)
    Thanks to Ivan Masár <helix84@centrum.sk>.
  * Move dh_install before any other dh_install* command in the binary-arch
    target in debian/rules.
  * Call dh_installman in debian/rules.
  * Install funopen.3 man page as funopen.3bsd to avoid a file conflict
    with libfuntools-dev. (Closes: #756469)

 -- Guillem Jover <guillem@debian.org>  Fri, 29 Aug 2014 14:42:03 +0200

libbsd (0.7.0-1) unstable; urgency=low

  * New upstream release.
    - Add ELF types for OpenRISC. (Closes: #736759)
    - Autoreconf during release adds support for ppc64el. (Closes: #754126)
  * Try to clarify package descriptions for libbsd0, libbsd0-dbg and
    libbsd0-udeb, to make it easier to know why the package is installed.
    Based on suggestions by Jonathan Nieder <jrnieder@gmail.com>.
    (Closes: #663085)
  * Mark libbsd-dev as Multi-Arch:same. (Closes: #755480)
    Thanks to Dima Kogan <dima@secretsauce.net>.
  * Update config.guess and config.sub at build time, via autotools-dev
    debhelper commands. (Closes: #748994)

 -- Guillem Jover <guillem@debian.org>  Tue, 29 Jul 2014 04:01:46 +0200

## libbsd 0.8.2

=== debian/changelog ===
libbsd (0.8.2-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2019-20367.patch: make sure that there is
      a bounded comparison in  src/nlist.c.
    - CVE-2019-20367

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 16 Jan 2020 09:41:09 -0300

libbsd (0.8.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix heap buffer overflow in fgetwln().
    - Various test suite fixes.
  * Switch debug package to an automatic dbgsym package.
  * Output the test suite log on errors.
  * Remove old upgrade postinst to handle lost replaced nlist.h.
  * Switch Vcs-Git URL from git to https.
  * Switch debian/copyright Format field URL to https.

 -- Guillem Jover <guillem@debian.org>  Wed, 27 Jan 2016 17:25:11 +0100

libbsd (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Add support for GNU/Hurd and GNU/kFreeBSD. (Closes: #806840)
    - Fix implicit dependencies for non-overlaid headers. (Closes: #807730)
  * Switch debian/copyright to machine readable format, reusing upstream
    COPYING file.
  * Use https for hadrons.org URLs.

 -- Guillem Jover <guillem@debian.org>  Mon, 14 Dec 2015 04:10:23 +0100

libbsd (0.8.0-2) unstable; urgency=medium

  * Revert addition of libtestu01-0-dev into Build-Depends as it is only
    available in the non-free area of the archive for now.

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2015 00:40:34 +0100

libbsd (0.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new man page for reallocarray(3).
    - Rename funopen.3 manpage to funopen.3bsd.
    - Add __DECONST, __DEVOLATILE, __DEQUALIFY, __offsetof, __rangeof and
      __containerof to sys/cdefs.h.
    - Sync sys/queue.h from FreeBSD.
    - Add compile and link-time deprecation warnings for fgetln().
    - Add explicit_bzero() function from OpenBSD.
    - Fix arc4random prototypes from uchar to unsigned char. (Closes: #719640)
    - Update arc4random to use ChaCha20. (Closes: #747671)
  * Switch Vcs-Browser to a cgit URL.
  * Now using Standards-Version 3.9.6 (no changes needed).
  * Add libtestu01-0-dev to Build-Depends to test arc4random implementation.

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Nov 2015 23:34:00 +0100

=== debian/control ===
Source: libbsd
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libbsd.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libbsd.git
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9.20160114), autotools-dev
# Consider readding the following once and if it moves out of non-free.
# libtestu01-0-dev <!nocheck>
Standards-Version: 3.9.6
Homepage: http://libbsd.freedesktop.org/

Package: libbsd-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
Replaces: libfreebsd-dev (<< 0.0-8)
Description: utility functions from BSD systems - development files
 This library provides some functions commonly available on BSD systems but
 not on others like GNU systems.
 .
 The currently provided functions are:
 .
  * _time32_to_time, _time_to_time32, _time64_to_time, _time_to_time64,
    _time_to_long, _long_to_time, _time_to_int, _int_to_time.
  * MD5Data, MD5End, MD5File, MD5FileChunk, MD5Final, MD5Init, MD5Pad,
    MD5Transform, MD5Update.
  * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
    arc4random_uniform.
  * bsd_getopt.
  * be16dec, be32dec, be64dec, le16dec, le32dec, le64dec.
  * be16enc, be32enc, be64enc, le16enc, le32enc, le64enc.
  * closefrom.
  * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
  * explicit_bzero.
  * errc, verrc, vwarnc, warnc.
  * fgetln, fparseln, fgetwln, flopen, fpurge, funopen.
  * getbsize.
  * getmode, setmode, strmode,
  * getpeereid.
  * getprogname, setprogname.
  * heapsort, radixsort, mergesort, sradixsort.
  * nlist (ELF and a.out support).
  * pidfile_open, pidfile_write, pidfile_close, pidfile_remove.
  * readpassphrase.
  * reallocarray, reallocf.
  * setproctitle (initialized via libbsd-ctor or setproctitle_init).
  * sl_init, sl_add, sl_free, sl_find.
  * strlcpy, strlcat.
  * strnstr.
  * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
  * wcslcat, wcslcpy.
 .
 Also included are some queue macro definitions not present on includes
 from glibc.

Package: libbsd0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: net-tools (<< 7.0-2) [kfreebsd-any]
Description: utility functions from BSD systems - shared library
 This library provides some C functions such as strlcpy() that are commonly
 available on BSD systems but not on others like GNU systems.
 .
 For a detailed list of the provided functions, please see the libbsd-dev
 package description.

Package: libbsd0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility functions from BSD systems - shared library
 This library provides some C functions such as strlcpy() that are commonly
 available on BSD systems but not on others like GNU systems.
 .
 For a detailed list of the provided functions, please see the libbsd-dev
 package description.

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,12 @@
 libudeb := $(lib)-udeb
 libdev := libbsd-dev
 
-config-stamp:
+D := $(CURDIR)/debian
+
+config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 
-	dh_autoreconf
 	./configure \
 		CPPFLAGS="$(CPPFLAGS)" \
 		CFLAGS="$(CFLAGS)" \
@@ -34,11 +36,10 @@
 		--disable-silent-rules \
 		--prefix=/usr \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-	touch config-stamp
 
 build-indep:
 
-build-arch: config-stamp
+build-arch: config.status
 	dh_testdir
 
 	$(MAKE)
@@ -49,10 +50,8 @@
 check-arch: build-arch
 	dh_testdir
 
-ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) check
-endif
+	$(MAKE) VERBOSE=1 check
 endif
 
 clean:
@@ -61,7 +60,7 @@
 
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	dh_autoreconf_clean
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install-arch: check-arch
@@ -70,7 +69,7 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
+	$(MAKE) install DESTDIR=$(D)/tmp \
 	                runtimelibdir=/lib/$(DEB_HOST_MULTIARCH)
 
 binary-indep:
@@ -79,12 +78,13 @@
 binary-arch: install-arch
 	dh_testdir
 	dh_testroot
+	dh_install
 	dh_installchangelogs ChangeLog
 	dh_installdocs
+	dh_installman
 	dh_installexamples
-	dh_install
 	dh_link
-	dh_strip --dbg-package=$(libdbg)
+	dh_strip --dbgsym-migration='$(libdbg) (<< 0.8.1-1~)'
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs --add-udeb=$(libudeb)

## libbsd 0.8.3

=== debian/changelog ===
libbsd (0.8.3-1+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-20367
    A non-NUL terminated symbol name in the string table might
    result in a out-of-bounds read.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 18 Feb 2021 20:03:02 +0100

libbsd (0.8.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix a memory leak.
    - Various portability fixes.
    - Improve test suite.
  * Switch Homepage and debian/watch URLs from http:// to https://.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable hardening bindnow feature.

 -- Guillem Jover <guillem@debian.org>  Sat, 23 Apr 2016 11:11:35 +0200

## libbsd 0.8.6

=== debian/changelog ===
libbsd (0.8.6-3) unstable; urgency=medium

  * Line-wrap remaining Conflicts field.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch to debian/watch format version 4.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 05 Nov 2017 16:45:39 +0100

libbsd (0.8.6-2) unstable; urgency=medium

  * Line-wrap dependency fields.
  * Now using Standards-Version 4.1.0 (no changes needed).
  * Replace dh_autotools-dev_* commands with dh_update_autotools_config,
    and remove explicit Build-Depends on autotools-dev.
  * Remove ancient versioned dpkg-dev Build-Depends, satisfied in oldstable.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Sep 2017 19:25:54 +0200

libbsd (0.8.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix nlist() unit tests to work on IA64 and PowerPC 64-bit ELFv1.
    - Fix setproctitle() to work on systems with non-contiguous
      argv + envp memory areas, such as current GNU/Hurd.

 -- Guillem Jover <guillem@debian.org>  Mon, 17 Jul 2017 01:19:18 +0200

libbsd (0.8.5-1) unstable; urgency=medium

  * New upstream release.
    - Handle libtool executable names in getprogname() unit test.
      Closes: #865090
    - Fix ELF definitions for PowerPC and MIPS in local-elf.h.
      Thanks to James Cowgill <jcowgill@debian.org>. Closes: #865091
    - Ship and install libbsd(7).

 -- Guillem Jover <guillem@debian.org>  Sat, 24 Jun 2017 17:01:03 +0200

libbsd (0.8.4-1) unstable; urgency=medium

  * New upstream release.
    - Add support for TileGX. Closes: #847560
    - Add support for RISC-V.
    - Gracefully handle lack of system <sys/cdefs.h>. Closes: #810589
    - Do not provide funopen() on musl.
    - Do not use legacy BSD u_* types.
    - Move all man pages to section 3bsd.
    - Add missing man page aliases.
    - Add missing man pages for byteorder(3), errc(3) and fpurge(3).
    - Add new libbsd(7) library overview man page.
    - Improve test suite.
    - Remove a.out support from nlist(). Closes: #818246
    - Fix broken mmap() usage in nlist() by switching to pread().
    - Add <sys/time.h> for some of its macros.
  * Switch to debhelper compatibility level 10.
  * Now using Standards-Version 4.0.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Mon, 19 Jun 2017 04:30:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: libbsd
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/libbsd.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/libbsd.git
-Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 9.20160114), autotools-dev
+Homepage: https://libbsd.freedesktop.org/
+Standards-Version: 4.1.1
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper (>= 10),
 # Consider readding the following once and if it moves out of non-free.
-# libtestu01-0-dev <!nocheck>
-Standards-Version: 3.9.6
-Homepage: http://libbsd.freedesktop.org/
+# libtestu01-0-dev <!nocheck>,
 
 Package: libbsd-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbsd0 (= ${binary:Version}), ${misc:Depends}
-Replaces: libfreebsd-dev (<< 0.0-8)
+Depends:
+ libbsd0 (= ${binary:Version}),
+ ${misc:Depends},
+Replaces:
+ libfreebsd-dev (<< 0.0-8),
 Description: utility functions from BSD systems - development files
  This library provides some functions commonly available on BSD systems but
  not on others like GNU systems.
@@ -25,6 +29,7 @@
  .
   * _time32_to_time, _time_to_time32, _time64_to_time, _time_to_time64,
     _time_to_long, _long_to_time, _time_to_int, _int_to_time.
+  * TIMEVAL_TO_TIMESPEC, TIMESPEC_TO_TIMEVAL.
   * MD5Data, MD5End, MD5File, MD5FileChunk, MD5Final, MD5Init, MD5Pad,
     MD5Transform, MD5Update.
   * arc4random, arc4random_addrandom, arc4random_buf, arc4random_stir,
@@ -32,6 +37,8 @@
   * bsd_getopt.
   * be16dec, be32dec, be64dec, le16dec, le32dec, le64dec.
   * be16enc, be32enc, be64enc, le16enc, le32enc, le64enc.
+  * bit_alloc, bit_decl, bit_clear, bit_ffc, bit_ffs, bit_nclear, bit_nset,
+    bit_set, bitstr_size, bit_test.
   * closefrom.
   * expand_number, dehumanize_number, humanize_number, strtonum, fmtcheck.
   * explicit_bzero.
@@ -51,6 +58,8 @@
   * strlcpy, strlcat.
   * strnstr.
   * strnvis, strnunvis, strunvis, strunvisx, strvis, strvisx, unvis, vis.
+  * timeradd, timersub, timerclear, timerisset, timercmp.
+  * timespecadd, timespecsub, timespecclear, timespecisset, timespeccmp.
   * wcslcat, wcslcpy.
  .
  Also included are some queue macro definitions not present on includes
@@ -59,9 +68,13 @@
 Package: libbsd0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: net-tools (<< 7.0-2) [kfreebsd-any]
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Conflicts:
+ net-tools (<< 7.0-2) [kfreebsd-any],
 Description: utility functions from BSD systems - shared library
  This library provides some C functions such as strlcpy() that are commonly
  available on BSD systems but not on others like GNU systems.
@@ -73,7 +86,9 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: utility functions from BSD systems - shared library
  This library provides some C functions such as strlcpy() that are commonly
  available on BSD systems but not on others like GNU systems.
